## kdesvn 2.1.0+p24.04+vstable+git20250909.0648

=== CMakeLists.txt ===
####
 #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
 #   http://kdesvn.alwins-world.de/                                        #
 #                                                                         #
 #   This program is free software; you can redistribute it and/or modify  #
 #   it under the terms of the GNU General Public License as published by  #
 #   the Free Software Foundation; either version 2 of the License, or     #
 #   (at your option) any later version.                                   #
 #                                                                         #
 #   This program is distributed in the hope that it will be useful,       #
 #   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
 #   GNU General Public License for more details.                          #
 #                                                                         #
 #   You should have received a copy of the GNU General Public License     #
 #   along with this program; if not, write to the                         #
 #   Free Software Foundation, Inc.,                                       #
 #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
 ####
project(kdesvn)
set(PACKAGENAME "${CMAKE_PROJECT_NAME}")
cmake_minimum_required(VERSION 3.1.0)
if(POLICY CMP0063)
  CMAKE_POLICY(SET CMP0063 NEW) # Honor visibility properties for all target types.
endif()

if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW) # Honor visibility properties for all target types (since cmake 3.3)
endif()

# Where to look for Findxxx.cmake modules
find_package(ECM 5.10.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_SOURCE_DIR}/src/svnqt/cmake)
# Automatically include the current source and binary dirs
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED 11)
add_definitions(-DTRANSLATION_DOMAIN="kdesvn")

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)

find_package(KF5 REQUIRED COMPONENTS
    Bookmarks Codecs Completion Config
    ConfigWidgets CoreAddons DBusAddons DocTools
    I18n IconThemes ItemViews JobWidgets KIO
    Notifications Parts Service TextWidgets
    Wallet WidgetsAddons XmlGui
)
set(QT_MIN_VERSION 5.9.0)
find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core DBus Gui Sql Widgets Xml
)

# Set the version
set(KDESVN_VERSION_MAJOR 2)
set(KDESVN_VERSION_MINOR 1)
set(KDESVN_VERSION_PATCH 0)
set(KDESVN_VERSION_STRING ${KDESVN_VERSION_MAJOR}.${KDESVN_VERSION_MINOR}.${KDESVN_VERSION_PATCH})

# Append the git revision if available
# If Git is installed and a '.git' directory is found,
# we append the Git revision to KDESVN_VERSION_STRING
if(EXISTS "${kdesvn_SOURCE_DIR}/.git")
  find_package(Git)
  if(GIT_FOUND)
    message(STATUS "Found git: ${GIT_EXECUTABLE}")
    execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
                    WORKING_DIRECTORY ${kdesvn_SOURCE_DIR}
                    OUTPUT_VARIABLE kdesvn_git_revision
                    OUTPUT_STRIP_TRAILING_WHITESPACE)
    set(KDESVN_VERSION_STRING "${KDESVN_VERSION_STRING} (rev: ${kdesvn_git_revision})")
  endif()
endif()

option(TESTINGBUILD "Enable/Disable special testing flags" OFF)
if(TESTINGBUILD)
    add_definitions(-DTESTING_RC=\"\\\"${CMAKE_SOURCE_DIR}/src/kdesvnui.rc\\\"\" -DTESTING_PARTRC=\"\\\"${CMAKE_SOURCE_DIR}/src/kdesvn_part.rc\\\"\")
    add_definitions(-DFORCE_ASKPASS=\"\\\"${CMAKE_BINARY_DIR}/bin/kdesvnaskpass\\\"\")
    add_definitions(-DEXTRA_KDE_LIBPATH=\"\\\"${PROJECT_BINARY_DIR}/lib\\\"\")
    add_definitions(-DDEBUG_TIMER=1)
endif()

add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_CAST_TO_ASCII)
# not (yet) possible
#add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_RESTRICTED_CAST_FROM_ASCII)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
# kde headers still use Q_FOREACH... :(
# add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_DEPRECATED_WARNINGS)
add_definitions(-DQT_STRICT_ITERATORS)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050900)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)

# include(MacroEnsureVersion)
include(FindSubversion)
include(kdesvn-macros)

# Enable exceptions
kde_enable_exceptions()

include_directories(
    ${CMAKE_BINARY_DIR}
    ${APR_INCLUDE_DIR}
    ${APU_INCLUDE_DIR}
    ${SUBVERSION_INCLUDE_DIR}
)

add_definitions(${APR_CPP_FLAGS})

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)

add_subdirectory(src)
add_subdirectory(doc)
kdoctools_install(po)

configure_file(kdesvn-config.h.in kdesvn-config.h @ONLY)
configure_file(Doxyfile.in Doxyfile @ONLY)
configure_file(Doxyfile.svnqt.in Doxyfile.svnqt @ONLY)

set(DIST_EXCLUDE "Helperstuff/pic_design")

set(MESSAGES_DIR ${CMAKE_SOURCE_DIR}/src)

add_custom_target(apidox
    "doxygen" "${CMAKE_BINARY_DIR}/Doxyfile"
    DEPENDS "${CMAKE_BINARY_DIR}/Doxyfile")

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/svnqt/CMakeLists.txt ===
####
 #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
 #   http://kdesvn.alwins-world.de/                                        #
 #                                                                         #
 #   This program is free software; you can redistribute it and/or modify  #
 #   it under the terms of the GNU General Public License as published by  #
 #   the Free Software Foundation; either version 2 of the License, or     #
 #   (at your option) any later version.                                   #
 #                                                                         #
 #   This program is distributed in the hope that it will be useful,       #
 #   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
 #   GNU General Public License for more details.                          #
 #                                                                         #
 #   You should have received a copy of the GNU General Public License     #
 #   along with this program; if not, write to the                         #
 #   Free Software Foundation, Inc.,                                       #
 #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
 ####

option(OVERRIDE_SVN_API_VERSION "Override the current API version (e.g. to compile against 1.6 api when 1.8 is installed)" OFF)
if(OVERRIDE_SVN_API_VERSION)
  set(OVERRIDE_SVN_API_VERSION_STR 0x10600 CACHE STRING "svn api version to use, hex format, two digits per major/minor/patch")
endif()

set(SOURCES
    annotate_line.cpp
    apr.cpp
    cache/DatabaseException.cpp
    cache/LogCache.cpp
    cache/ReposConfig.cpp
    cache/ReposLog.cpp
    client_annotate.cpp
    client_annotate_parameter.cpp
    client_cat.cpp
    client_commit_parameter.cpp
    client.cpp
    client_diff.cpp
    client_impl.cpp
    client_lock.cpp
    client_ls.cpp
    client_merge.cpp
    client_modify.cpp
    client_parameter.cpp
    client_property.cpp
    client_status.cpp
    client_update_parameter.cpp
    commititem.cpp
    conflictdescription.cpp
    conflictresult.cpp
    context.cpp
    contextdata.cpp
    datetime.cpp
    diff_data.cpp
    diffoptions.cpp
    dirent.cpp
    entry.cpp
    exception.cpp
    info_entry.cpp
    lock_entry.cpp
    log_entry.cpp
    path.cpp
    pool.cpp
    repository.cpp
    repositorydata.cpp
    repositorylistener.cpp
    reposnotify.cpp
    revision.cpp
    status.cpp
    stringarray.cpp
    svnfilestream.cpp
    svnstream.cpp
    targets.cpp
    url.cpp
    version_check.cpp
    )


configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/svnqt_defines.h.in"
    "${CMAKE_CURRENT_BINARY_DIR}/svnqt_defines.h"
    IMMEDIATE
    @ONLY)

add_library(svnqt STATIC ${SOURCES})
if(WIN32)
    target_compile_definitions(svnqt PUBLIC _USE_32BIT_TIME_T)
endif()
if(OVERRIDE_SVN_API_VERSION)
    target_compile_definitions(svnqt PUBLIC OVERRIDE_SVN_API_VERSION=${OVERRIDE_SVN_API_VERSION_STR})
endif()

set(ALL_LINKFLAGS ${APR_EXTRA_LDFLAGS})
set(ALL_LINKFLAGS "${ALL_LINKFLAGS} ${APU_EXTRA_LDFLAGS}")

if(WIN32 OR APPLE)
    set_property(TARGET svnqt APPEND PROPERTY LINK_FLAGS "${ALL_LINKFLAGS} ${LINK_NO_UNDEFINED}")
else()
    set_property(TARGET svnqt APPEND PROPERTY LINK_FLAGS "-Wl,--as-needed ${ALL_LINKFLAGS} ${LINK_NO_UNDEFINED}")
endif()

target_link_libraries(svnqt
    PUBLIC
        ${SUBVERSION_ALL_LIBS}
        KF5::ConfigCore
        Qt5::Core
        Qt5::Sql
)
target_include_directories(svnqt
    PUBLIC
        ${CMAKE_CURRENT_SOURCE_DIR}/../
        ${CMAKE_CURRENT_BINARY_DIR}/../
)
set_property(TARGET svnqt APPEND PROPERTY COMPILE_FLAGS ${APR_CPP_FLAGS})
set_property(TARGET svnqt PROPERTY CXX_VISIBILITY_PRESET hidden)

if(Backtrace_FOUND)
     target_include_directories(svnqt PUBLIC SYSTEM ${Backtrace_INCLUDE_DIRS})
     target_link_libraries(svnqt PUBLIC ${Backtrace_LIBRARY})
endif()

if(WIN32)
    target_link_libraries(svnqt wsock32.lib)
endif()

# Just a small linking test
if(KDE4_BUILD_TESTS)
    add_executable(testlink testmain.cpp)
    target_link_libraries(testlink svnqt)
endif()

if(KDE4_BUILD_TESTS)
  add_subdirectory(tests)
  add_subdirectory(cache/test)
endif()

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vstable+git20250909.0648-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 06:48:31 +0000

kdesvn (2.1.0-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.2, no changes required.
  * Backport upstream commit 4ec7f30e1560ae9df2572fc4a061e4e5126839d8 to use
    a better "help" URL in the AppStream XML file; patch
    upstream_appdata-more-general-doc-URL.patch.

 -- Pino Toscano <pino@debian.org>  Sun, 01 Jan 2023 10:41:12 +0100

=== debian/control ===
Source: kdesvn
Section: vcs
Priority: optional
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.10.0),
               gettext,
               libkf5bookmarks-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5parts-dev (>= 5.25.0),
               libkf5service-dev,
               libkf5textwidgets-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libsvn-dev (>= 1.6.0),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.9.0)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/extragear/sdk/kdesvn
Vcs-Git: https://invent.kde.org/neon/extras/kdesvn.git
Vcs-Browser: https://invent.kde.org/neon/extras/kdesvn
Maintainer: Neon CI <neon@kde.org>

Package: kdesvn
Architecture: any
Depends: kdesvn-kio-plugins (= ${binary:Version}),
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: graphviz, kompare
Suggests: kdiff3, khelpcenter
Description: Subversion client with tight KDE integration
 KDESvn is a graphical client for the Subversion revision control
 system (svn).
 .
 Besides offering common and advanced svn operations, it features
 a tight integration into KDE and can be embedded into other KDE
 applications like Konqueror via the KDE component technology KParts.

Package: kdesvn-kio-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Subversion I/O slaves for KDE
 This package includes KIO slaves for svn, svn+file, svn+http,
 svn+https, svn+ssh. This allows you to access Subversion repositories
 inside any KIO enabled KDE application.
 .
 This package is part of kdesvn.

## kdesvn 2.1.0+p24.04+vstable+git20250922.1024

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vstable+git20250922.1024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Sep 2025 10:25:03 +0000

## kdesvn 2.1.0+p24.04+vstable+git20251231.0457

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vstable+git20251231.0457-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 04:57:57 +0000

## kdesvn 2.1.0+p24.04+vstable+git20260103.0058

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vstable+git20260103.0058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 00:58:49 +0000

## kdesvn 2.1.0+p24.04+vstable+git20260122.0449

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vstable+git20260122.0449-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 04:49:32 +0000

## kdesvn 2.1.0+p24.04+vstable+git20260131.0234

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vstable+git20260131.0234-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:34:31 +0000

## kdesvn 2.1.0+p24.04+vstable+git20260204.0853

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vstable+git20260204.0853-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 08:53:37 +0000

## kdesvn 2.1.0+p24.04+vunstable+git20251020.0017

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vunstable+git20251020.0017-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:17:51 +0000

## kdesvn 2.1.0+p24.04+vunstable+git20251021.0237

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vunstable+git20251021.0237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 02:38:01 +0000

## kdesvn 2.1.0+p24.04+vunstable+git20251204.0020

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 ####
  #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
- #   http://kdesvn.alwins-world.de/                                        #
  #                                                                         #
  #   This program is free software; you can redistribute it and/or modify  #
  #   it under the terms of the GNU General Public License as published by  #
@@ -17,44 +16,42 @@
  #   Free Software Foundation, Inc.,                                       #
  #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
  ####
+
+cmake_minimum_required(VERSION 3.16.0)
+
 project(kdesvn)
 set(PACKAGENAME "${CMAKE_PROJECT_NAME}")
-cmake_minimum_required(VERSION 3.1.0)
-if(POLICY CMP0063)
-  CMAKE_POLICY(SET CMP0063 NEW) # Honor visibility properties for all target types.
-endif()
 
-if(POLICY CMP0063)
-  cmake_policy(SET CMP0063 NEW) # Honor visibility properties for all target types (since cmake 3.3)
-endif()
+set(QT_MIN_VERSION "6.5")
+set(KF_MIN_VERSION "6.0")
+set(KDE_COMPILERSETTINGS_LEVEL "6.0")
 
 # Where to look for Findxxx.cmake modules
-find_package(ECM 5.10.0 REQUIRED NO_MODULE)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_SOURCE_DIR}/src/svnqt/cmake)
-# Automatically include the current source and binary dirs
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-set(CMAKE_AUTOMOC ON)
-set(CMAKE_POSITION_INDEPENDENT_CODE ON)
-set(CXX_STANDARD 11)
-set(CMAKE_CXX_STANDARD_REQUIRED 11)
 add_definitions(-DTRANSLATION_DOMAIN="kdesvn")
 
+include(ECMAddTests)
+include(ECMDeprecationSettings)
 include(KDEInstallDirs)
-include(KDECompilerSettings)
 include(KDECMakeSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+
 include(FeatureSummary)
 include(ECMInstallIcons)
+include(KDEClangFormat)
+include(KDEGitCommitHooks)
 
-find_package(KF5 REQUIRED COMPONENTS
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Bookmarks Codecs Completion Config
     ConfigWidgets CoreAddons DBusAddons DocTools
     I18n IconThemes ItemViews JobWidgets KIO
     Notifications Parts Service TextWidgets
     Wallet WidgetsAddons XmlGui
 )
-set(QT_MIN_VERSION 5.9.0)
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
-    Core DBus Gui Sql Widgets Xml
+
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
+    Core DBus Gui Sql Widgets Xml Core5Compat
 )
 
 # Set the version
@@ -82,22 +79,10 @@
 if(TESTINGBUILD)
     add_definitions(-DTESTING_RC=\"\\\"${CMAKE_SOURCE_DIR}/src/kdesvnui.rc\\\"\" -DTESTING_PARTRC=\"\\\"${CMAKE_SOURCE_DIR}/src/kdesvn_part.rc\\\"\")
     add_definitions(-DFORCE_ASKPASS=\"\\\"${CMAKE_BINARY_DIR}/bin/kdesvnaskpass\\\"\")
-    add_definitions(-DEXTRA_KDE_LIBPATH=\"\\\"${PROJECT_BINARY_DIR}/lib\\\"\")
     add_definitions(-DDEBUG_TIMER=1)
 endif()
 
-add_definitions(-DQT_USE_QSTRINGBUILDER)
-add_definitions(-DQT_NO_CAST_TO_ASCII)
-# not (yet) possible
-#add_definitions(-DQT_NO_CAST_FROM_ASCII)
-add_definitions(-DQT_RESTRICTED_CAST_FROM_ASCII)
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
-# kde headers still use Q_FOREACH... :(
-# add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_DEPRECATED_WARNINGS)
-add_definitions(-DQT_STRICT_ITERATORS)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050900)
-add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+ecm_set_disabled_deprecation_versions(QT 6.9 KF 6.17)
 
 # include(MacroEnsureVersion)
 include(FindSubversion)
@@ -108,6 +93,8 @@
 
 include_directories(
     ${CMAKE_BINARY_DIR}
+)
+include_directories(SYSTEM
     ${APR_INCLUDE_DIR}
     ${APU_INCLUDE_DIR}
     ${SUBVERSION_INCLUDE_DIR}
@@ -135,4 +122,9 @@
 
 ki18n_install(po)
 
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/svnqt/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 ####
  #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
- #   http://kdesvn.alwins-world.de/                                        #
  #                                                                         #
  #   This program is free software; you can redistribute it and/or modify  #
  #   it under the terms of the GNU General Public License as published by  #
@@ -83,6 +82,7 @@
     @ONLY)
 
 add_library(svnqt STATIC ${SOURCES})
+set_target_properties(svnqt PROPERTIES POSITION_INDEPENDENT_CODE ON)
 if(WIN32)
     target_compile_definitions(svnqt PUBLIC _USE_32BIT_TIME_T)
 endif()
@@ -102,9 +102,9 @@
 target_link_libraries(svnqt
     PUBLIC
         ${SUBVERSION_ALL_LIBS}
-        KF5::ConfigCore
-        Qt5::Core
-        Qt5::Sql
+        KF6::ConfigCore
+        Qt::Core
+        Qt::Sql
 )
 target_include_directories(svnqt
     PUBLIC
@@ -115,7 +115,7 @@
 set_property(TARGET svnqt PROPERTY CXX_VISIBILITY_PRESET hidden)
 
 if(Backtrace_FOUND)
-     target_include_directories(svnqt PUBLIC SYSTEM ${Backtrace_INCLUDE_DIRS})
+     target_include_directories(svnqt SYSTEM PUBLIC ${Backtrace_INCLUDE_DIRS})
      target_link_libraries(svnqt PUBLIC ${Backtrace_LIBRARY})
 endif()
 
@@ -124,12 +124,12 @@
 endif()
 
 # Just a small linking test
-if(KDE4_BUILD_TESTS)
+if(BUILD_TESTING)
     add_executable(testlink testmain.cpp)
     target_link_libraries(testlink svnqt)
 endif()
 
-if(KDE4_BUILD_TESTS)
+if(BUILD_TESTING)
   add_subdirectory(tests)
   add_subdirectory(cache/test)
 endif()

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vunstable+git20251204.0020-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 00:20:31 +0000

=== debian/control ===
Source: kdesvn
Section: vcs
Priority: optional
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-kbookmarks-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemviews-dev,
               kf6-kjobwidgets-dev,
               kf6-knotifications-dev,
               kf6-kparts-dev,
               kf6-kservice-dev,
               kf6-ktextwidgets-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               libsvn-dev (>= 1.6.0),
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/extragear/sdk/kdesvn
Vcs-Git: https://invent.kde.org/neon/extras/kdesvn.git
Vcs-Browser: https://invent.kde.org/neon/extras/kdesvn
Maintainer: Neon CI <neon@kde.org>

Package: kdesvn
Architecture: any
Depends: kdesvn-kio-plugins (= ${binary:Version}),
         qt6-base,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: graphviz, kompare
Suggests: kdiff3, khelpcenter
Description: Subversion client with tight KDE integration
 KDESvn is a graphical client for the Subversion revision control
 system (svn).
 .
 Besides offering common and advanced svn operations, it features
 a tight integration into KDE and can be embedded into other KDE
 applications like Konqueror via the KDE component technology KParts.

Package: kdesvn-kio-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Subversion I/O slaves for KDE
 This package includes KIO slaves for svn, svn+file, svn+http,
 svn+https, svn+ssh. This allows you to access Subversion repositories
 inside any KIO enabled KDE application.
 .
 This package is part of kdesvn.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
		dh $@ --with kf6 --buildsystem kf6

## kdesvn 2.1.0+p24.04+vunstable+git20251206.0707

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vunstable+git20251206.0707-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:07:38 +0000

## kdesvn 2.1.0+p24.04+vunstable+git20260205.0745

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vunstable+git20260205.0745-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:45:20 +0000
